Welcome to the Forum Archive!

Years of conversation fill a ton of digital pages, and we've kept all of it accessible to browse or copy over. Whether you're looking for reveal articles for older champions, or the first time that Rammus rolled into an "OK" thread, or anything in between, you can find it here. When you're finished, check out the boards to join in the latest League of Legends discussions.

GO TO BOARDS


Deprecating Support for Mac OSX 10.6.8

Comment below rating threshold, click here to show it.

1nihilist1

Junior Member

07-16-2014

Hi all, so I did what was asked which was annoying to say the least but I am running Mavericks on my MacBook Pro. It was working fine right up until today where I downloaded the patch and now I can't even open up the application. It's not even giving me a bug splat error or anything. Its simply not opening. Is anybody else having this issue? You click on league, it toggles but then doesn't do anything. I feel like they might have messed up with updating league to mavericks and now nobody is capable.


Comment below rating threshold, click here to show it.

1nihilist1

Junior Member

07-16-2014

okay, the launcher started when I tried to run league through apps in finder and the league of legends icon on my desktop didn't work. The shortcut doesn't get replaced by a newer version making it useless.


Comment below rating threshold, click here to show it.

Emmerlaus

Member

07-27-2014

I am still on 10.6 and it worked just fine until two days ago. Now, I cannot move my champion anywhere on the map.

It seem to be just me too, didnt see any other comments about it.

And I cant make the upgrade to Maverick, my computer cant restart with it strangely. DOnt know what Im doing wrong.


Comment below rating threshold, click here to show it.

BlastBladeBlink

Junior Member

08-27-2014

New launcher dont start, I know is because I'm on my OS 10.6 and my old mac mini. Riot want I go on Maverick lol
But I can gaming with all patch so because just a new launcher i can't no more playing? …

I hope Riot want fix this and dont forget the old config.

LOL is the only moba still running on my Mac.

Thx.


Comment below rating threshold, click here to show it.

Jen Ravana

Junior Member

08-27-2014

Quote:
BlastBladeBlink:
New launcher dont start, I know is because I'm on my OS 10.6 and my old mac mini. Riot want I go on Maverick lol
But I can gaming with all patch so because just a new launcher i can't no more playing? …

I hope Riot want fix this and dont forget the old config.

LOL is the only moba still running on my Mac.

Thx.

Incorrect. The latest bug is affecting people who are not on 10.6.8, though it's still a good idea to update.


Comment below rating threshold, click here to show it.

Desiboyss

Junior Member

08-27-2014

Quote:
Jen Ravana:
Incorrect. The latest bug is affecting people who are not on 10.6.8, though it's still a good idea to update.


I am on mac 10.6.8, and i am still getting "lol launcher unexpectedly quited". so it does affects us.


Comment below rating threshold, click here to show it.

Jen Ravana

Junior Member

08-27-2014

Quote:
Desiboyss:
I am on mac 10.6.8, and i am still getting "lol launcher unexpectedly quited". so it does affects us.

Yes, it does affect people on 10.6.8, but it does not appear to be a problem exclusive to 10.6.8. Other versions of OS X are also being affected; I apologize for not being more precise in my wording.


Comment below rating threshold, click here to show it.

Bo Bo Muttley

Junior Member

08-27-2014

I am currently on OS X 10.6.8, and I have looked at a lot of threads, and many other mac users are getting the same problem I am, "LoLPatcher quit unexpectedly". After lots of searching I am lead to believe that now, as of patch 4.15, Riot has dropped the support for OS X 10.6.8 and below. I'm not mad, but this seems like something that we should have had more warning on. This seems like something that should have been in the patch notes, at least then we would have had a heads up and time to upgrade. Or if you really wanted the spread the information you should have made an article about this and posted it to the front page of league during patch 4.14.

I know this may sound rude, but I'm just a little frustrated that I can no longer play my favorite game. But the thing that makes it so unacceptable is that unless mac players read this thread months ago (which I don't believe many did), then we had absolutely no warning this was coming.


Comment below rating threshold, click here to show it.

Mike4Real

Senior Member

08-27-2014

Even when they do something negative like this, it still happens 7 patches later than what they told us initially just like everything else. The original posts were not edited to reflect this and the minimum specs page was only updated recently.


Comment below rating threshold, click here to show it.

PharmDzzNutz

Junior Member

08-27-2014

im on 10.9.4 and it wont even load. i uninstalled and tried to update a fresh version. It wont even load on....wtf